diff --git a/compiler/coreSyn/CoreSyn.lhs b/compiler/coreSyn/CoreSyn.lhs
index d77d5dc..d272ecf 100644
--- a/compiler/coreSyn/CoreSyn.lhs
+++ b/compiler/coreSyn/CoreSyn.lhs
@@ -1257,27 +1251,27 @@ rhssOfAlts alts = [e | (_,_,e) <- alts]
 flattenBinds :: [Bind b] -> [(b, Expr b)]
 flattenBinds (NonRec b r : binds) = (b,r) : flattenBinds binds
 flattenBinds (Rec prs1   : binds) = prs1 ++ flattenBinds binds
-flattenBinds []			  = []
+flattenBinds []                   = []
 \end{code}
 
 \begin{code}
 -- | We often want to strip off leading lambdas before getting down to
 -- business. This function is your friend.
-collectBinders	             :: Expr b -> ([b],         Expr b)
+collectBinders               :: Expr b -> ([b],         Expr b)
 -- | Collect as many type bindings as possible from the front of a nested lambda
-collectTyBinders       	     :: CoreExpr -> ([TyVar],     CoreExpr)
+collectTyBinders             :: CoreExpr -> ([TyVar],     CoreExpr)
 -- | Collect as many value bindings as possible from the front of a nested lambda
-collectValBinders      	     :: CoreExpr -> ([Id],        CoreExpr)
+collectValBinders            :: CoreExpr -> ([Id],        CoreExpr)
 -- | Collect type binders from the front of the lambda first, 
 -- then follow up by collecting as many value bindings as possible
 -- from the resulting stripped expression
-collectTyAndValBinders 	     :: CoreExpr -> ([TyVar], [Id], CoreExpr)
+collectTyAndValBinders       :: CoreExpr -> ([TyVar], [Id], CoreExpr)
 
 collectBinders expr
   = go [] expr
   where
     go bs (Lam b e) = go (b:bs) e
-    go bs e	     = (reverse bs, e)
+    go bs e          = (reverse bs, e)
 
 collectTyAndValBinders expr
   = (tvs, ids, body)
@@ -1289,13 +1283,13 @@ collectTyBinders expr
   = go [] expr
   where
     go tvs (Lam b e) | isTyVar b = go (b:tvs) e
-    go tvs e			 = (reverse tvs, e)
+    go tvs e                     = (reverse tvs, e)
 
 collectValBinders expr
   = go [] expr
   where
     go ids (Lam b e) | isId b = go (b:ids) e
-    go ids body		      = (reverse ids, body)
+    go ids body               = (reverse ids, body)
 \end{code}
 
 \begin{code}
@@ -1306,13 +1300,13 @@ collectArgs expr
   = go expr []
   where
     go (App f a) as = go f (a:as)
-    go e 	 as = (e, as)
+    go e         as = (e, as)
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Predicates}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 At one time we optionally carried type arguments through to runtime.
@@ -1359,9 +1353,9 @@ valArgCount = count isValArg
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Seq stuff}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -1413,9 +1407,9 @@ seqRules (BuiltinRule {} : rules) = seqRules rules
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Annotated core}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -1424,16 +1418,16 @@ type AnnExpr bndr annot = (annot, AnnExpr' bndr annot)
 
 -- | A clone of the 'Expr' type but allowing annotation at every tree node
 data AnnExpr' bndr annot
-  = AnnVar	Id
-  | AnnLit	Literal
-  | AnnLam	bndr (AnnExpr bndr annot)
-  | AnnApp	(AnnExpr bndr annot) (AnnExpr bndr annot)
-  | AnnCase	(AnnExpr bndr annot) bndr Type [AnnAlt bndr annot]
-  | AnnLet	(AnnBind bndr annot) (AnnExpr bndr annot)
+  = AnnVar      Id
+  | AnnLit      Literal
+  | AnnLam      bndr (AnnExpr bndr annot)
+  | AnnApp      (AnnExpr bndr annot) (AnnExpr bndr annot)
+  | AnnCase     (AnnExpr bndr annot) bndr Type [AnnAlt bndr annot]
+  | AnnLet      (AnnBind bndr annot) (AnnExpr bndr annot)
   | AnnCast     (AnnExpr bndr annot) (annot, Coercion)
-    		   -- Put an annotation on the (root of) the coercion
+                   -- Put an annotation on the (root of) the coercion
   | AnnTick     (Tickish Id) (AnnExpr bndr annot)
-  | AnnType	Type
+  | AnnType     Type
   | AnnCoercion Coercion
 
 -- | A clone of the 'Alt' type but allowing annotation at every tree node
@@ -1453,7 +1447,7 @@ collectAnnArgs expr
   = go expr []
   where
     go (_, AnnApp f a) as = go f (a:as)
-    go e 	       as = (e, as)
+    go e               as = (e, as)
 \end{code}
 
 \begin{code}
@@ -1490,5 +1484,5 @@ collectAnnBndrs e
   = collect [] e
   where
     collect bs (_, AnnLam b body) = collect (b:bs) body
-    collect bs body		  = (reverse bs, body)
+    collect bs body               = (reverse bs, body)
 \end{code}
diff --git a/compiler/coreSyn/CoreTidy.lhs b/compiler/coreSyn/CoreTidy.lhs
index 8c0ae4a..a547de3 100644
--- a/compiler/coreSyn/CoreTidy.lhs
+++ b/compiler/coreSyn/CoreTidy.lhs
@@ -7,15 +7,9 @@ This module contains "tidying" code for *nested* expressions, bindings, rules.
 The code for *top-level* bindings is in TidyPgm.
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module CoreTidy (
-	tidyExpr, tidyVarOcc, tidyRule, tidyRules, tidyUnfolding
+        tidyExpr, tidyVarOcc, tidyRule, tidyRules, tidyUnfolding
     ) where
 
 #include "HsVersions.h"
@@ -38,15 +32,15 @@ import Outputable
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Tidying expressions, rules}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 tidyBind :: TidyEnv
-	 -> CoreBind
-	 ->  (TidyEnv, CoreBind)
+         -> CoreBind
+         ->  (TidyEnv, CoreBind)
 
 tidyBind env (NonRec bndr rhs)
   = tidyLetBndr env env (bndr,rhs) =: \ (env', bndr') ->
@@ -56,37 +50,37 @@ tidyBind env (Rec prs)
   = let 
        (env', bndrs') = mapAccumL (tidyLetBndr env') env prs
     in
-    map (tidyExpr env') (map snd prs)	=: \ rhss' ->
+    map (tidyExpr env') (map snd prs)   =: \ rhss' ->
     (env', Rec (zip bndrs' rhss'))
 
 
 ------------  Expressions  --------------
 tidyExpr :: TidyEnv -> CoreExpr -> CoreExpr
-tidyExpr env (Var v)   	 =  Var (tidyVarOcc env v)
+tidyExpr env (Var v)     =  Var (tidyVarOcc env v)
 tidyExpr env (Type ty)  =  Type (tidyType env ty)
 tidyExpr env (Coercion co) = Coercion (tidyCo env co)
 tidyExpr _   (Lit lit)   =  Lit lit
-tidyExpr env (App f a) 	 =  App (tidyExpr env f) (tidyExpr env a)
+tidyExpr env (App f a)   =  App (tidyExpr env f) (tidyExpr env a)
 tidyExpr env (Tick t e) =  Tick (tidyTickish env t) (tidyExpr env e)
 tidyExpr env (Cast e co) =  Cast (tidyExpr env e) (tidyCo env co)
 
 tidyExpr env (Let b e) 
-  = tidyBind env b 	=: \ (env', b') ->
+  = tidyBind env b      =: \ (env', b') ->
     Let b' (tidyExpr env' e)
 
 tidyExpr env (Case e b ty alts)
-  = tidyBndr env b 	=: \ (env', b) ->
+  = tidyBndr env b      =: \ (env', b) ->
     Case (tidyExpr env e) b (tidyType env ty) 
-	 (map (tidyAlt b env') alts)
+         (map (tidyAlt b env') alts)
 
 tidyExpr env (Lam b e)
-  = tidyBndr env b 	=: \ (env', b) ->
+  = tidyBndr env b      =: \ (env', b) ->
     Lam b (tidyExpr env' e)
 
 ------------  Case alternatives  --------------
 tidyAlt :: CoreBndr -> TidyEnv -> CoreAlt -> CoreAlt
 tidyAlt _case_bndr env (con, vs, rhs)
-  = tidyBndrs env vs 	=: \ (env', vs) ->
+  = tidyBndrs env vs    =: \ (env', vs) ->
     (con, vs, tidyExpr env' rhs)
 
 ------------  Tickish  --------------
@@ -98,27 +92,27 @@ tidyTickish _   other_tickish       = other_tickish
 tidyRules :: TidyEnv -> [CoreRule] -> [CoreRule]
 tidyRules _   [] = []
 tidyRules env (rule : rules)
-  = tidyRule env rule  		=: \ rule ->
-    tidyRules env rules 	=: \ rules ->
+  = tidyRule env rule           =: \ rule ->
+    tidyRules env rules         =: \ rules ->
     (rule : rules)
 
 tidyRule :: TidyEnv -> CoreRule -> CoreRule
 tidyRule _   rule@(BuiltinRule {}) = rule
 tidyRule env rule@(Rule { ru_bndrs = bndrs, ru_args = args, ru_rhs = rhs,
-			  ru_fn = fn, ru_rough = mb_ns })
-  = tidyBndrs env bndrs		=: \ (env', bndrs) ->
-    map (tidyExpr env') args  	=: \ args ->
+                          ru_fn = fn, ru_rough = mb_ns })
+  = tidyBndrs env bndrs         =: \ (env', bndrs) ->
+    map (tidyExpr env') args    =: \ args ->
     rule { ru_bndrs = bndrs, ru_args = args, 
-	   ru_rhs   = tidyExpr env' rhs,
-	   ru_fn    = tidyNameOcc env fn, 
-	   ru_rough = map (fmap (tidyNameOcc env')) mb_ns }
+           ru_rhs   = tidyExpr env' rhs,
+           ru_fn    = tidyNameOcc env fn, 
+           ru_rough = map (fmap (tidyNameOcc env')) mb_ns }
 \end{code}
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Tidying non-top-level binders}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -126,8 +120,8 @@ tidyNameOcc :: TidyEnv -> Name -> Name
 -- In rules and instances, we have Names, and we must tidy them too
 -- Fortunately, we can lookup in the VarEnv with a name
 tidyNameOcc (_, var_env) n = case lookupUFM var_env n of
-				Nothing -> n
-				Just v  -> idName v
+                                Nothing -> n
+                                Just v  -> idName v
 
 tidyVarOcc :: TidyEnv -> Var -> Var
 tidyVarOcc (_, var_env) v = lookupVarEnv var_env v `orElse` v
@@ -141,8 +135,8 @@ tidyBndr env var
 tidyBndrs :: TidyEnv -> [Var] -> (TidyEnv, [Var])
 tidyBndrs env vars = mapAccumL tidyBndr env vars
 
-tidyLetBndr :: TidyEnv	       -- Knot-tied version for unfoldings
-            -> TidyEnv 	       -- The one to extend
+tidyLetBndr :: TidyEnv         -- Knot-tied version for unfoldings
+            -> TidyEnv         -- The one to extend
             -> (Id, CoreExpr) -> (TidyEnv, Var)
 -- Used for local (non-top-level) let(rec)s
 tidyLetBndr rec_tidy_env env (id,rhs) 
@@ -153,32 +147,32 @@ tidyLetBndr rec_tidy_env env (id,rhs)
        -- Override the env we get back from tidyId with the 
        -- new IdInfo so it gets propagated to the usage sites.
 
-	-- We need to keep around any interesting strictness and
-	-- demand info because later on we may need to use it when
-	-- converting to A-normal form.
-	-- eg.
-	--	f (g x),  where f is strict in its argument, will be converted
-	--	into  case (g x) of z -> f z  by CorePrep, but only if f still
-	-- 	has its strictness info.
-	--
-	-- Similarly for the demand info - on a let binder, this tells 
-	-- CorePrep to turn the let into a case.
-	--
-	-- Similarly arity info for eta expansion in CorePrep
-	-- 
-	-- Set inline-prag info so that we preseve it across 
-	-- separate compilation boundaries
+        -- We need to keep around any interesting strictness and
+        -- demand info because later on we may need to use it when
+        -- converting to A-normal form.
+        -- eg.
+        --      f (g x),  where f is strict in its argument, will be converted
+        --      into  case (g x) of z -> f z  by CorePrep, but only if f still
+        --      has its strictness info.
+        --
+        -- Similarly for the demand info - on a let binder, this tells 
+        -- CorePrep to turn the let into a case.
+        --
+        -- Similarly arity info for eta expansion in CorePrep
+        -- 
+        -- Set inline-prag info so that we preseve it across 
+        -- separate compilation boundaries
     final_id = new_id `setIdInfo` new_info
     idinfo   = idInfo id
     new_info = idInfo new_id
-		`setArityInfo`		exprArity rhs
-                `setStrictnessInfo`	strictnessInfo idinfo
-                `setDemandInfo`	        demandInfo idinfo
-		`setInlinePragInfo`	inlinePragInfo idinfo
-		`setUnfoldingInfo`	new_unf
+                `setArityInfo`          exprArity rhs
+                `setStrictnessInfo`     strictnessInfo idinfo
+                `setDemandInfo`         demandInfo idinfo
+                `setInlinePragInfo`     inlinePragInfo idinfo
+                `setUnfoldingInfo`      new_unf
 
     new_unf | isStableUnfolding unf = tidyUnfolding rec_tidy_env unf (panic "tidy_unf")
-            | otherwise	            = noUnfolding
+            | otherwise             = noUnfolding
     unf = unfoldingInfo idinfo
 
 -- Non-top-level variables
@@ -188,18 +182,18 @@ tidyIdBndr env@(tidy_env, var_env) id
     -- stuff in the OccName.
     case tidyOccName tidy_env (getOccName id) of { (tidy_env', occ') -> 
     let 
-	-- Give the Id a fresh print-name, *and* rename its type
-	-- The SrcLoc isn't important now, 
-	-- though we could extract it from the Id
-	-- 
+        -- Give the Id a fresh print-name, *and* rename its type
+        -- The SrcLoc isn't important now, 
+        -- though we could extract it from the Id
+        -- 
         ty'      = tidyType env (idType id)
         name'    = mkInternalName (idUnique id) occ' noSrcSpan
-	id'      = mkLocalIdWithInfo name' ty' new_info
-	var_env' = extendVarEnv var_env id id'
+        id'      = mkLocalIdWithInfo name' ty' new_info
+        var_env' = extendVarEnv var_env id id'
 
-	-- Note [Tidy IdInfo]
+        -- Note [Tidy IdInfo]
         new_info = vanillaIdInfo `setOccInfo` occInfo old_info
-	old_info = idInfo id
+        old_info = idInfo id
     in
     ((tidy_env', var_env'), id')
    }
@@ -215,10 +209,10 @@ tidyUnfolding tidy_env
               unf@(CoreUnfolding { uf_tmpl = unf_rhs, uf_src = src })
               unf_from_rhs
   | isStableSource src
-  = unf { uf_tmpl = tidyExpr tidy_env unf_rhs }	   -- Preserves OccInfo
+  = unf { uf_tmpl = tidyExpr tidy_env unf_rhs }    -- Preserves OccInfo
   | otherwise
   = unf_from_rhs
-tidyUnfolding _ unf _ = unf	-- NoUnfolding or OtherCon
+tidyUnfolding _ unf _ = unf     -- NoUnfolding or OtherCon
 \end{code}
 
 Note [Tidy IdInfo]
